<?php

namespace KupShop\AdminBundle\Resources\script;

use KupShop\AdminBundle\Util\Script\Script;

class APCuInfoScript extends Script
{
    protected static $name = 'Zobraz APCu info';

    protected function run(array $arguments)
    {
        global $MYREQUEST,$MY_SELF;
        define('USE_AUTHENTICATION', 0);
        $_SERVER['PHP_SELF'] = 'launch.php?'.http_build_query([
            's' => getVal('s'),
            'acn' => getVal('acn'),
            'script' => getVal('script'),
            'script_parameters' => getVal('script_parameters'),
        ]);

        require_once __DIR__.'/../other/apc.php';
        exit;
    }
}

return APCuInfoScript::class;
